## Class TMysqlScaffoldInput

Description

TMysqlScaffoldInput class file.

- license: http://www.pradosoft.com/license/
- copyright: Copyright &copy; 2005-2007 PradoSoft
- link: http://www.pradosoft.com/

Located in /Data/ActiveRecord/Scaffold/InputBuilder/TMysqlScaffoldInput.php (line 12)

    TScaffoldInputBase
       |
       --TScaffoldInputCommon
          |
          --TMysqlScaffoldInput

Method Summary
void createControl (mixed $container, mixed $column, mixed $record)
void createIntegerControl (mixed $container, mixed $column, mixed $record)
void getControlValue (mixed $container, mixed $column, mixed $record)
void getIntBooleanValue (mixed $container, mixed $column, mixed $record)
Methods
createControl (line 14)

- access: protected

void createControl (mixed $container, mixed $column, mixed $record)

Redefinition of:

TScaffoldInputBase::createControl()

createIntegerControl (line 67)

- access: protected

void createIntegerControl (mixed $container, mixed $column, mixed $record)

Redefinition of:

TScaffoldInputCommon::createIntegerControl()

getControlValue (line 43)

- access: protected

void getControlValue (mixed $container, mixed $column, mixed $record)

Redefinition of:

TScaffoldInputBase::getControlValue()

getIntBooleanValue (line 75)

- access: protected

void getIntBooleanValue (mixed $container, mixed $column, mixed $record)

#### Inherited Methods

Inherited From TScaffoldInputCommon

> TScaffoldInputCommon::createBooleanControl()
> TScaffoldInputCommon::createDateControl()
> TScaffoldInputCommon::createDateTimeControl()
> TScaffoldInputCommon::createDefaultControl()
> TScaffoldInputCommon::createEnumControl()
> TScaffoldInputCommon::createFloatControl()
> TScaffoldInputCommon::createIntegerControl()
> TScaffoldInputCommon::createMultiLineControl()
> TScaffoldInputCommon::createRangeValidator()
> TScaffoldInputCommon::createRequiredValidator()
> TScaffoldInputCommon::createSetControl()
> TScaffoldInputCommon::createTimeControl()
> TScaffoldInputCommon::createTypeValidator()
> TScaffoldInputCommon::createYearControl()
> TScaffoldInputCommon::getDateTimeValue()
> TScaffoldInputCommon::getDefaultControlValue()
> TScaffoldInputCommon::getEnumValue()
> TScaffoldInputCommon::getMatchingIndices()
> TScaffoldInputCommon::getSetValue()
> TScaffoldInputCommon::getTimeValue()
> TScaffoldInputCommon::setDefaultProperty()
> TScaffoldInputCommon::setNotNullProperty()

Inherited From TScaffoldInputBase

> TScaffoldInputBase::createControl()
> TScaffoldInputBase::createControlLabel()
> TScaffoldInputBase::createInputBuilder()
> TScaffoldInputBase::createScaffoldInput()
> TScaffoldInputBase::getControlValue()
> TScaffoldInputBase::getIsEnabled()
> TScaffoldInputBase::getParent()
> TScaffoldInputBase::getRecordPropertyValue()
> TScaffoldInputBase::loadScaffoldInput()
> TScaffoldInputBase::setRecordPropertyValue()

Class Constants

#### Inherited Constants

Inherited from TScaffoldInputBase

> TScaffoldInputBase::DEFAULT_ID

Documentation generated on Mon, 21 Apr 2008 11:35:41 -0400 by phpDocumentor 1.3.0RC4